Databases - Export
Hiermee exporteert u een database.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/export?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
De naam van de database. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
server
|
path | True |
string |
De naam van de server. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| administratorLogin | True |
string |
Aanmeldingsnaam van de beheerder. Als AuthenticationType ManagedIdentity is, moet dit veld de resource-id van de beheerde identiteit opgeven. |
| storageKey | True |
string |
Opslagsleutel voor het opslagaccount. Als StorageKeyType ManagedIdentity is, moet dit veld de resource-id van de beheerde identiteit opgeven. |
| storageKeyType | True |
Type opslagsleutel: StorageAccessKey, SharedAccessKey of ManagedIdentity. |
|
| storageUri | True |
string |
Opslag Uri. |
| administratorLoginPassword |
string (password) |
Aanmeldingswachtwoord van de beheerder. Als AuthenticationType ManagedIdentity is, mag dit veld niet worden opgegeven. |
|
| authenticationType |
string |
Type referenties dat is opgegeven voor toegang tot de doel-SQL-server: SQL, ADPassword of ManagedIdentity. |
|
| networkIsolation |
Optionele resourcegegevens voor het inschakelen van netwerkisolatie voor aanvragen. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Exports a database, using Managed Identity to communicate with SQL server and storage account.
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
Voorbeeldrespons
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
Exports a database, using private link to communicate with SQL server and storage account.
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"networkIsolation": {
"sqlServerResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr",
"storageAccountResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Storage/storageAccounts/test-privatelink"
},
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
Voorbeeldrespons
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
Exports a database.
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/export?api-version=2025-01-01
{
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx==",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://test.blob.core.windows.net/test.bacpac"
}
Voorbeeldrespons
{
"name": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"type": "Microsoft.Sql/servers/databases/importExportOperationResults",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/importExportOperationResults/9d9a794a-5cec-4f23-af70-d29511b522a4",
"properties": {
"blobUri": "https://test.blob.core.windows.net/test.bacpac",
"databaseName": "testdb",
"lastModifiedTime": "2/2/2020 8:34:47 PM",
"queuedTime": "2/2/2020 8:33:27 PM",
"requestId": "9d9a794a-5cec-4f23-af70-d29511b522a4",
"requestType": "Export",
"serverName": "testsvr.database.windows.net",
"status": "Completed"
}
}
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Sql/locations/japaneast/importExportOperationResults/00000000-0000-0000-0000-000000000000
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Export |
Bevat de informatie die nodig is om de exportdatabasebewerking uit te voeren. |
|
Import |
Een importexportbewerkingsresultaatresource. |
|
Network |
Bevat de ARM-resources waarvoor een privé-eindpuntverbinding moet worden gemaakt. |
|
Private |
Bevat de status van verbindingsaanvragen voor privé-eindpunten. |
|
Storage |
Type opslagsleutel: StorageAccessKey, SharedAccessKey of ManagedIdentity. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ExportDatabaseDefinition
Bevat de informatie die nodig is om de exportdatabasebewerking uit te voeren.
| Name | Type | Description |
|---|---|---|
| administratorLogin |
string |
Aanmeldingsnaam van de beheerder. Als AuthenticationType ManagedIdentity is, moet dit veld de resource-id van de beheerde identiteit opgeven. |
| administratorLoginPassword |
string (password) |
Aanmeldingswachtwoord van de beheerder. Als AuthenticationType ManagedIdentity is, mag dit veld niet worden opgegeven. |
| authenticationType |
string |
Type referenties dat is opgegeven voor toegang tot de doel-SQL-server: SQL, ADPassword of ManagedIdentity. |
| networkIsolation |
Optionele resourcegegevens voor het inschakelen van netwerkisolatie voor aanvragen. |
|
| storageKey |
string |
Opslagsleutel voor het opslagaccount. Als StorageKeyType ManagedIdentity is, moet dit veld de resource-id van de beheerde identiteit opgeven. |
| storageKeyType |
Type opslagsleutel: StorageAccessKey, SharedAccessKey of ManagedIdentity. |
|
| storageUri |
string |
Opslag Uri. |
ImportExportOperationResult
Een importexportbewerkingsresultaatresource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.blobUri |
string |
Blob-URI. |
| properties.databaseName |
string |
Databasenaam. |
| properties.errorMessage |
string |
Foutmelding. |
| properties.lastModifiedTime |
string |
Laatst gewijzigd tijdstip. |
| properties.privateEndpointConnections |
Hiermee haalt u de status op van privé-eindpunten die aan deze aanvraag zijn gekoppeld. |
|
| properties.queuedTime |
string |
Tijd in wachtrij. |
| properties.requestId |
string (uuid) |
Aanvraag-id. |
| properties.requestType |
string |
Aanvraagtype. |
| properties.serverName |
string |
Servernaam. |
| properties.status |
string |
Bewerkingsstatus. |
| systemData |
Azure Resource Manager metadata met creationBy en modifiedBy informatie. |
|
| type |
string |
Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts" |
NetworkIsolationSettings
Bevat de ARM-resources waarvoor een privé-eindpuntverbinding moet worden gemaakt.
| Name | Type | Description |
|---|---|---|
| sqlServerResourceId |
string (arm-id) |
De resource-id voor de SQL-server die het doel van deze aanvraag is. Als deze optie is ingesteld, wordt er een privé-eindpuntverbinding gemaakt voor de SQL-server. Moet overeenkomen met de server die het doel van de bewerking is. |
| storageAccountResourceId |
string (arm-id) |
De resource-id voor het opslagaccount dat wordt gebruikt voor het opslaan van BACPAC-bestand. Als deze optie is ingesteld, wordt er een privé-eindpuntverbinding gemaakt voor het opslagaccount. Moet overeenkomen met het opslagaccount dat wordt gebruikt voor de parameter StorageUri. |
PrivateEndpointConnectionRequestStatus
Bevat de status van verbindingsaanvragen voor privé-eindpunten.
| Name | Type | Description |
|---|---|---|
| privateEndpointConnectionName |
string |
De verbindingsnaam voor het privé-eindpunt. |
| privateLinkServiceId |
string |
Resource-id waarvoor het privé-eindpunt wordt gemaakt. |
| status |
string |
Status van deze privé-eindpuntverbinding. |
StorageKeyType
Type opslagsleutel: StorageAccessKey, SharedAccessKey of ManagedIdentity.
| Waarde | Description |
|---|---|
| SharedAccessKey |
GedeeldeToegangsSleutel |
| StorageAccessKey |
StorageAccessKey |
| ManagedIdentity |
ManagedIdentity |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
Het tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |